<template>
  <a-card
    :bordered="false"
    class="card-area"
  >
    <a-table
      ref="table"
      bordered
      size="middle"
      rowKey="id"
      :columns="columns"
      :dataSource="dataSource"
      :pagination="ipagination"
      :loading="loading"
      @change="handleTableChange"
    >
    </a-table>
  </a-card>
</template>

<script>
import { requestPut } from '@/api/manage'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'

export default {
  name: 'InspectionPlanItemList',
  mixins: [JeecgListMixin],
  components: {},
  data() {
    return {
      url: {
        list: '/qms/inspectionItem/queryListByPlanId',
      },
      queryParam: {},
      nodeType: 0,
      dataSource: [],
      disableMixinCreated:true,
      columns: [
        {
          title: '检验项目编码',
          align: 'center',
          dataIndex: 'itemCode',
          width: '10%',
        },
        {
          title: '检验项目名称',
          dataIndex: 'itemName',
          align: 'center',
        },
        {
          title: '检验项目分类',
          dataIndex: 'itemCategoryName',
          align: 'center',
        },
      
        {
          title: '定量/定性',
          dataIndex: 'qualitativeOrQuantitativeName',
          align: 'center',
        },
         {
          title: '测量工具',
          dataIndex: 'inspectionToolsNames',
          align: 'center',
        },
        {
          title: '排序',
          dataIndex: 'sorter',
          align: 'center',
        },
        {
          title: '标准值',
          dataIndex: 'standardValue',
          align: 'center',
        },
        {
          title: '上公差',
          dataIndex: 'maxValue',
          align: 'center',
        },
        {
          title: '下公差',
          dataIndex: 'minValue',
          align: 'center',
        }
      ]
    }
  },

  methods: {
  },
  mounted() {
    this.$bus.$on('getInspectionPlanItemData', (data) => {
      this.queryParam.inspectionPlanId = data.id;
      this.searchQuery();
    })
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>